curl
curl -sS -X POST "https://gateway.orbit/api/v1/schedules/9a1f0c2e-6b7d-4e5f-8a9b-0c1d2e3f4a5b/complete" \
--cacert /path/to/orbit-root-ca.pem \
-H 'Accept: application/json' \
-H 'X-Orbit-Request-Id: 9d6b1e5c-4a3f-4a1b-9f0e-6d2c3f5a7b81' \
-H 'Content-Type: application/json' \
-d '{"status": "success"}'{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Node callbacks
Complete a Schedule run
The installed Schedule callback on the host Node reports the latest run. The Gateway accepts it only from the Schedule’s recorded host Node and records last_run_at and last_run_status.
POST
/
api
/
v1
/
schedules
/
{schedule}
/
complete
curl
curl -sS -X POST "https://gateway.orbit/api/v1/schedules/9a1f0c2e-6b7d-4e5f-8a9b-0c1d2e3f4a5b/complete" \
--cacert /path/to/orbit-root-ca.pem \
-H 'Accept: application/json' \
-H 'X-Orbit-Request-Id: 9d6b1e5c-4a3f-4a1b-9f0e-6d2c3f5a7b81' \
-H 'Content-Type: application/json' \
-d '{"status": "success"}'{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}